SpatialCollections-class {rgeos} | R Documentation

## Class "SpatialCollections"

### Description

class to hold SpatialPoints, SpatialLines, SpatialRings, and SpatialPolygons (without attributes)

### Objects from the Class

Objects can be created by calls to the function SpatialCollections

### Slots

`pointobj`:

  Object of class SpatialPoints or NULL

`lineobj`:

  Object of class SpatialLines or NULL

`ringobj`:

  Object of class SpatialRings or NULL

`polyobj`:

  Object of class SpatialPolygons or NULL

`plotOrder`:

  Numeric vector of length 4

### Extends

Class `"Spatial"`, directly.

### Methods

Methods defined with class "SpatialCollections" in the signature:

plot

  `signature(x = "SpatialCollections", y = "missing")`: plot objects within the SpatialCollections object in the order specified by plotOrder slot

row.names

  `signature(object = "SpatialCollections")`: retrieves the ID elements from non-NULL geometry slots

### Author(s)

Colin Rundel

### See Also

SpatialCollections SpatialPoints SpatialLines SpatialRings SpatialPolygons

### Examples

    	#NONE

[Package rgeos version 0.5-1 Index]